# $Revision: 1.39 $, $Date: 2004/08/15 11:51:39 $
Summary:	glChess - A 3D chess interface
Summary(pl):	glChess - Interfejs 3D do szachw
Name:		glchess
Version:	0.4.7
Release:	5
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/glchess/%{name}-%{version}.tar.gz
# Source0-md5:	d4b852cb870be605dfb37646e6fa90b8
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}rc.patch
Patch1:		%{name}-CC_and_CFLAGS.patch
Patch2:		%{name}-gnuchessx.patch
URL:		http://glchess.sf.net/
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	gtkglarea1-devel
Requires:	OpenGL
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1
%define		_noreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1

%description
glChess is a 3D OpenGL based chess game that interfaces via the Chess
Engine Communication Protocol (CECP) by Tim Mann. This means it can
currently use Crafty and GNU Chess as AIs. You can also play Human vs.
Human, but so far not over a netwerk (see TODO).

%description -l pl
glChess to Trjwymiarowe (3D) szachy w technologii OpenGL. Program
uywa Chess Engine Communication Protocol (CECP) autorstwa Tima Manna.
Oznacza to Crafty bd GNU Chess jako AI. Mona take gra czowiek
przeciw czowiekowi, lecz jeszcze nie przez sie (zobacz TODO).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
find . -type d -name CVS -exec rm -rf {} \; ||:

%build
CFLAGS_FROM_RPM="%{rpmcflags}"
CC_FROM_RPM="%{__cc}"
export CFLAGS_FROM_RPM CC_FROM_RPM
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-lib-GL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man6,%{_datadir}/games/glchess/textures} \
	$RPM_BUILD_ROOT{%{_sysconfdir},%{_desktopdir},%{_pixmapsdir}}

install src/glchess	$RPM_BUILD_ROOT%{_bindir}
install man/glchess.6	$RPM_BUILD_ROOT%{_mandir}/man6
cp -rf textures		$RPM_BUILD_ROOT%{_datadir}/games/glchess
install glchessrc	$RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2}	$RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README AUTHORS NEWS TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/games/glchess
%{_pixmapsdir}/*
#Have to overwrite config since some options have been added.
%{_sysconfdir}/glchessrc
%{_desktopdir}/glchess.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glchess.spec,v $
Revision 1.39  2004/08/15 11:51:39  blues
- release 5

Revision 1.38  2004/08/15 11:23:49  blues
- release 4.1

Revision 1.37  2004/07/04 11:53:29  havner
- applnk -> vfolders

Revision 1.36  2003/10/09 19:54:30  krzak
- gnuchessx.patch (dont need gnuchessx, gnuchess is enought)

Revision 1.35  2003/10/09 19:38:26  krzak
- rel 2

Revision 1.34  2003/10/09 19:37:51  krzak
- BR: gtkglarea1-devel
- fixed path in rc.patch (s/X11R6//)

Revision 1.33  2003/09/09 10:24:20  ankry
- spaces -> tab

Revision 1.32  2003/07/21 20:29:30  adamg
- updated to 0.4.7

Revision 1.31  2003/05/26 16:25:02  malekith
- massive attack: adding Source-md5

Revision 1.30  2003/05/25 05:47:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.28  2003/01/18 22:48:36  juandon
- removed two lines with define

Revision 1.27  2002/11/27 20:15:39  juandon
- new %%doc

Revision 1.26  2002/10/09 13:14:24  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.25  2002/05/21 23:13:10  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.24  2002/04/25 16:24:46  arturs
fixed a small typo

Revision 1.23  2002/03/24 23:28:17  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.22  2002/02/22 23:28:57  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.21  2002/01/26 10:17:49  kloczek
- updated to 0.4.4 (bugfix release).

Revision 1.20  2002/01/21 10:34:55  wolf
- moved desktop file from Games to Games/Board

Revision 1.19  2002/01/18 20:13:28  qboosh
- standarized changelog preample

Revision 1.18  2002/01/15 01:47:39  blues
- release 2
- added manual ac/am regeneration and configure macro used
- BR added
- aplied corrected CC_and_CFLAGS.patch - export corrected
STB

Revision 1.17  2001/12/29 17:56:52  fastviper
- upgraded to version 0.4.2
- glchess 0.4.2 uses automake & autoconf ... many things may not work...

Revision 1.16  2001/12/10 23:37:57  fastviper
- Added patch, so that terminal is not cleared during build

Revision 1.15  2001/12/09 01:52:13  kloczek
- removed commeted patches,
- added png Icon for desktop file and removed xpm icons.

Revision 1.14  2001/12/09 00:00:39  fastviper
- release 1
- New version (0.4.1) released

Revision 1.13  2001/11/15 20:35:33  fastviper
- realase++ (realase = 3) - added reflections patch.

Revision 1.12  2001/11/15 17:12:53  fastviper
- added patch3 by Bartosz Taudul <wolf@ae.pl>

Revision 1.11  2001/11/15 03:04:42  kloczek
- release 2.

Revision 1.10  2001/11/15 00:16:22  misiek
- workaround debug support

Revision 1.9  2001/11/14 23:51:38  misiek
- use rpmcflags
- use noautoreqdep

Revision 1.8  2001/11/10 20:36:09  fastviper
- fixed glchess-patch2 -> glchess-man-nocompress

Revision 1.7  2001/11/10 19:19:15  mkochano
- Added dont_clear patch, but I dont know if it really works.
- STBR.

Revision 1.6  2001/11/10 12:57:49  kloczek
- cosmetics.

Revision 1.5  2001/11/09 11:17:18  qboosh
- adapterized, some other PLDifications

Revision 1.4  2001/11/08 23:01:33  fastviper
- Ikonki .xpm na pulpit

Revision 1.2  2001/11/08 21:26:28  fastviper
- Oryginalne rda i atka na nie.

Revision 1.1  2001/11/08 19:10:49  fastviper
- Spec dla PLD

* Mon Jul 9 2001 Giuseppe Borzi' <gborzi@ieee.org>
- version 0.3.2

* Fri Jun 29 2001 Giuseppe Borzi' <gborzi@ieee.org>
- version 0.3.0
